package com.ruoyi.web.work.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.web.work.domain.Favorite;

import java.util.List;

/**
 * @author lsw
 * @date 2024-06-15
 */
public interface IFavoriteService extends IService<Favorite> {
    List<Favorite> selectList(Favorite favorite);

    /**
     * 添加收藏
     *
     * @param id
     * @return
     */
    AjaxResult add(Long id);

    /**
     * 删除收藏
     *
     * @param id
     * @return
     */
    AjaxResult remove(Long id);
}
